[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Explicit rpm V-R ordering other than epoch?



Hi,

Is there a way to say in a package, say foo-1.0-1.A, that it is
newer than another version-release, say foo-1.0-1.BETA, when
the standard ordering algorithm gives a result that you don't want?
(It is assumed here that you know what the other version is.)

I guess (didn't try) an "Obsoletes: foo-1.0-1.BETA" won't work.

I know I can do it with epoch, but that's not what I want to use,
as the package is a changed version of someone else.

Thanks,

--
--    Jos Vos <jos@xos.nl>
--    X/OS Experts in Open Systems BV   |   Phone: +31 20 6938364
--    Amsterdam, The Netherlands        |     Fax: +31 20 6948204


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]